
DEBUGGING = true -- Allow skipping splash scenes and stuff

PREFS = Prefs.new()
PREFS:loadPrefs()

SCENEMANAGER = SceneManager.new({
  ["Gideros"] = Gideros,
  ["Antix"]   = Antix,
  ["Game"]    = Game,
})

stage:addChild(SCENEMANAGER)

SCENEMANAGER:changeScene(
  "Gideros", 1, SceneManager.fade, easing.linear, 
  {
    userData = {
      onComplete = function() -- When the Gideros scene is complete it starts the Antix scene
        SCENEMANAGER:changeScene(
          "Antix", 0.5, SceneManager.fade, easing.linear, 
          {
            userData = {
              onComplete = function() -- When the Antix scene is complete it starts the Game scene
                SCENEMANAGER:changeScene(
                  "Game", 1, SceneManager.fade, easing.linear)
              end
            }
          })
      end
    }
  })
